#include <bits/stdc++.h>

using namespace std;

ifstream fi ("dqps.inp");
ofstream fo ("dqps.out");

int P(int n,int i){
  if (i<2*n-1){
    return i*P(n,i+2);
  }
}

int S(int n,int i){
  if (i<2*n-1){
    return i+S(n,i+2);
  }
}

int main(){
  int n;
  fi>>n;
  fo<<P(n,1)<<endl<<S(n,1);
}
